Bug 1996739 - High ICNI2 application pod creation times
Summary: High ICNI2 application pod creation times
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.z
Assignee: Surya Seetharaman
QA Contact: Sai Sindhur Malleni
URL:
Whiteboard:
Depends On: 1986946
Blocks: 2007653
TreeView+ depends on / blocked
 
Reported: 2021-08-23 14:45 UTC by Sai Sindhur Malleni
Modified: 2021-10-12 06:01 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1986946
: 2007653 (view as bug list)
Environment:
Last Closed: 2021-10-12 06:01:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovn-kubernetes pull 752 0 None open Bug 1996739: Fix ensurePod to call addPodExternalGW only for annotation updates 2021-09-17 13:45:42 UTC
Red Hat Product Errata RHBA-2021:3682 0 None None None 2021-10-12 06:01:56 UTC

Comment 1 Sai Sindhur Malleni 2021-08-25 14:44:00 UTC
Closing this bug as clones should be created automatically during backport time.

Comment 2 Surya Seetharaman 2021-09-17 13:43:49 UTC
Using this for 4.8.z backport.

Comment 6 Mike Fiedler 2021-09-24 12:43:41 UTC
@

Comment 7 Mike Fiedler 2021-09-24 12:44:28 UTC
@smalleni Can you verify this on 4.8.13 or later?

Comment 9 Sai Sindhur Malleni 2021-09-28 16:26:41 UTC
(In reply to Mike Fiedler from comment #7)
> @smalleni Can you verify this on 4.8.13 or later?

Hey Mike, I'd only be able to verify this on a 4.7 z stream as that is what I have access to.

Comment 10 Sai Sindhur Malleni 2021-09-28 16:26:42 UTC
(In reply to Mike Fiedler from comment #7)
> @smalleni Can you verify this on 4.8.13 or later?

Hey Mike, I'd only be able to verify this on a 4.7 z stream as that is what I have access to.

Comment 11 Sai Sindhur Malleni 2021-09-28 21:18:41 UTC
Verified that there is only one call per external gateway for an app pod (the namespace of the app pod has 4 spk pods)

[kni@e16-h18-b03-fc640 ~]$ oc logs -n openshift-ovn-kubernetes ovnkube-master-gq6sr -c ovnkube-master  | grep lr-route-add | grep 10.128.60.23
2021-09-28T16:19:25.998Z|24960|nbctl|INFO|Running command run --may-exist --bfd --policy=src-ip --ecmp-symmetric-reply -- lr-route-add GR_worker111-fc640 10.128.60.23/32 192.168.251.3 rtoe-GR_worker111-fc640
2021-09-28T16:19:26.062Z|24964|nbctl|INFO|Running command run --may-exist --bfd --policy=src-ip --ecmp-symmetric-reply -- lr-route-add GR_worker111-fc640 10.128.60.23/32 192.168.251.2 rtoe-GR_worker111-fc640
2021-09-28T16:19:26.123Z|24968|nbctl|INFO|Running command run --may-exist --bfd --policy=src-ip --ecmp-symmetric-reply -- lr-route-add GR_worker111-fc640 10.128.60.23/32 192.168.251.1 rtoe-GR_worker111-fc640
2021-09-28T16:19:26.171Z|24974|nbctl|INFO|Running command run --may-exist --bfd --policy=src-ip --ecmp-symmetric-reply -- lr-route-add GR_worker111-fc640 10.128.60.23/32 192.168.251.4 rtoe-GR_worker111-fc640

So we can consider this bug verified.

Comment 14 errata-xmlrpc 2021-10-12 06:01:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.8.14 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3682


Note You need to log in before you can comment on or make changes to this bug.